
// Chemin menant au dossier de TP sur le bureau du candidat :
chemin_dossier_tp="C:\batconcours\Dossier_TP_candidat\Dossier_TP\";

// Chemin menant au dossier batconcours sous C: normalement
chemin_batconcours="C:/batconcours/";

// Importation du mouvement du sol pour le calcul sous Xcos
fic=mopen(chemin_dossier_tp+"simulations/seisme_deplacement_au_sol.csv");
[nlu,temps_excitation,depl_excitation]=mfscanf(-1,fic,"%f  ,  %f  \n");
mclose(fic);
Simulation_Acausale_Data=struct("time",temps_excitation,"values",depl_excitation*1e-9);

// Valeurs initiale des choix multiples :
reponse_choix=[2 1 1 1];


  addmenu('Simulation_EF',['Réponse Statique';'Réponse Modale';'Réponse Dynamique à un laché';'Réponse Dynamique à une excitation au sol']);
  Simulation_EF = ['exec(chemin_dossier_tp+''simulations\programmes\chateau_eau_sans_renfort_statique_V2.sce'',-1)';'exec(chemin_dossier_tp+''simulations\programmes\chateau_eau_sans_renfort_modale_V2.sce'',-1)';'exec(chemin_dossier_tp+''simulations\programmes\chateau_eau_sans_renfort_reponse_temporelle_lache_V2.sce'',-1)';'exec(chemin_dossier_tp+''simulations\programmes\chateau_eau_sans_renfort_reponse_temporelle_V4.sce'',-1)'];
  addmenu('Simulation_1ddl',['Banc soumis à un sinus';'Banc soumis à un séisme';'Banc soumis à un sinus avec amortisseur';'Banc soumis à un séisme avec amortisseur';'Chateau d''eau soumis à un sinus';'Chateau d''eau soumis à un séisme';'Chateau d''eau soumis à un sinus avec amortisseur';'Chateau d''eau soumis à un séisme avec amortisseur']);
  Simulation_1ddl = ['xcos(chemin_dossier_tp+''simulations\Acausale_banc_1ddl_sinus.zcos'')';'xcos(chemin_dossier_tp+''simulations\Acausale_banc_1ddl_seisme.zcos'')';'xcos(chemin_dossier_tp+''simulations\Acausale_banc_2ddl_sinus.zcos'')';'xcos(chemin_dossier_tp+''simulations\Acausale_banc_2ddl_seisme.zcos'')';'xcos(chemin_dossier_tp+''simulations\Acausale_chateau_1ddl_sinus.zcos'')';'xcos(chemin_dossier_tp+''simulations\Acausale_chateau_1ddl_seisme.zcos'')';'xcos(chemin_dossier_tp+''simulations\Acausale_chateau_2ddl_sinus.zcos'')';'xcos(chemin_dossier_tp+''simulations\Acausale_chateau_2ddl_seisme.zcos'')'];
  addmenu('Mesures',['Traitement Mesure banc DMS';'Traitement Mesure Séisme']);
 Mesures  = ['exec(chemin_dossier_tp+''mesures\programmes\Traitement_mesure_banc_DMS_V1.sce'')';'exec(chemin_dossier_tp+''mesures\programmes\Traitement_mesure_seisme_V1.sce'')'];
 

// Ouverture des fichiers de parametrage banc et chateau
scinotes(chemin_dossier_tp+'simulations\parametres_banc.sce');
scinotes(chemin_dossier_tp+'simulations\parametres_chateau_eau.sce');

 //   delmenu("Simulation_EF");delmenu("Simulation_1ddl");delmenu("Mesures");
